Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.request
Class ByteSequenceMatcher

    java.lang.Object
      org.richfaces.request.ByteSequenceMatcher

    public class ByteSequenceMatcher

extends Object

Nested Class Summary
`static interface` | `ByteSequenceMatcher.BytesHandler`

Constructor Summary
`ByteSequenceMatcher(InputStream inputStream, int bufferSize)`

Method Summary
`void` | `findSequence(int limit, byte[]... sequences)`
`ByteSequenceMatcher.BytesHandler` | `getBytesHandler()`
`boolean` | `isEOF()`
`boolean` | `isMatched()`
`boolean` | `isMatchedAndNotEOF()`
`protected void` | `prefillBuffer(int usedLength)`
`void` | `setBytesHandler(ByteSequenceMatcher.BytesHandler bytesHandler)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ByteSequenceMatcher

    public ByteSequenceMatcher(InputStream inputStream,
                               int bufferSize)

Method Detail

### getBytesHandler

    public ByteSequenceMatcher.BytesHandler getBytesHandler()

### setBytesHandler

    public void setBytesHandler(ByteSequenceMatcher.BytesHandler bytesHandler)

### prefillBuffer

    protected void prefillBuffer(int usedLength)
                          throws IOException

  Throws:
    `IOException`

### findSequence

    public void findSequence(int limit,
                             byte[]... sequences)
                      throws IOException

  Throws:
    `IOException`

### isEOF

    public boolean isEOF()

### isMatched

    public boolean isMatched()

### isMatchedAndNotEOF

    public boolean isMatchedAndNotEOF()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.